- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SCHUGraphic Class Reference

Internal: virtual class to store a SCHU graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SCHUGraphic:

## Public Member Functions
| SCHUGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
int | m_id
| the id More...
int | m_adjust
| the adjust data More...
int | m_orientation
| the orientation More...
int | m_column
| the column More...
int | m_row
| the row More...
double | m_factor
| the factor More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SCHUGraphic const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a SCHU graphic.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SCHUGraphic::SCHUGraphic | ( | int | id | ) |
| inline explicit

constructor

## Member Function Documentation

std::string StarObjectSmallGraphicInternal::SCHUGraphic::getName | ( |  | ) | const
| inline virtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

virtual std::string StarObjectSmallGraphicInternal::SCHUGraphic::print | ( |  | ) | const
| inline virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SCHUGraphic const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

int StarObjectSmallGraphicInternal::SCHUGraphic::m_adjust

the adjust data

int StarObjectSmallGraphicInternal::SCHUGraphic::m_column

the column

double StarObjectSmallGraphicInternal::SCHUGraphic::m_factor

the factor

int StarObjectSmallGraphicInternal::SCHUGraphic::m_id

the id

int StarObjectSmallGraphicInternal::SCHUGraphic::m_orientation

the orientation

int StarObjectSmallGraphicInternal::SCHUGraphic::m_row

the row

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx